/*
 * MakeDocJrEditorFrame_AboutBox.java
 *
 * Copyright 2002 Steve Held,
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package makedocjr.editor;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class MakeDocJrEditorFrame_AboutBox extends JDialog implements ActionListener {

	JPanel panel1 = new JPanel();
	JPanel panel2 = new JPanel();
	JPanel insetsPanel1 = new JPanel();
	JPanel insetsPanel3 = new JPanel();
	JButton button1 = new JButton();
	JLabel label1 = new JLabel();
	JLabel label2 = new JLabel();
	JLabel label3 = new JLabel();
	JLabel label4 = new JLabel();
	JLabel label5 = new JLabel();
	BorderLayout borderLayout1 = new BorderLayout();
	GridLayout gridLayout1 = new GridLayout();
	FlowLayout flowLayout1 = new FlowLayout();
	Border border1;
	JLabel label6 = new JLabel();

	public MakeDocJrEditorFrame_AboutBox(Frame parent) {
		super(parent);
		enableEvents(AWTEvent.WINDOW_EVENT_MASK);
		try {
			jbInit();
		}
		catch(Exception e) {
			e.printStackTrace();
		}
		pack();
	}
	/**Component initialization*/
	private void jbInit() throws Exception  {
		//imageLabel.setIcon(new ImageIcon(MakeDocJrFrame_AboutBox.class.getResource("[Your Image]")));
		border1 = BorderFactory.createEmptyBorder(10,10,10,10);
		this.setTitle("About");
		setResizable(false);
		panel1.setLayout(borderLayout1);
		panel2.setLayout(flowLayout1);
		label1.setMaximumSize(new Dimension(61, 17));
		label1.setDisplayedMnemonic('0');
		label1.setHorizontalAlignment(SwingConstants.LEFT);
		label1.setHorizontalTextPosition(SwingConstants.LEFT);
		label1.setIconTextGap(0);
		label1.setText("MakeDocJr Editor");
		label2.setHorizontalAlignment(SwingConstants.LEFT);
		label2.setHorizontalTextPosition(SwingConstants.LEFT);
		label2.setIconTextGap(0);
		label2.setText("Version 1.0.2");
		label3.setHorizontalAlignment(SwingConstants.LEFT);
		label3.setHorizontalTextPosition(SwingConstants.LEFT);
		label3.setIconTextGap(0);
		label3.setText("Copyright (c) 2001, 2002, 2003 Steve Held");
		label4.setHorizontalAlignment(SwingConstants.LEFT);
		label4.setHorizontalTextPosition(SwingConstants.LEFT);
		label4.setIconTextGap(0);
		label4.setText("MakeDocJr Editor comes with ABSOLUTELY NO WARRANTY; for details see " +
	"license.txt");
		insetsPanel3.setLayout(gridLayout1);
		insetsPanel3.setBorder(border1);
		button1.setText("Ok");
		button1.addActionListener(this);
		gridLayout1.setRows(6);
		gridLayout1.setColumns(1);
		flowLayout1.setAlignment(FlowLayout.LEFT);
		label5.setText("This is free software, and you are welcome to redistribute " +
					"it under certain conditions; see license.txt for details. ");
		label6.setText("Home page: http://op.onza.net/makedocjr/editor/");
		insetsPanel3.add(label1, null);
		insetsPanel3.add(label2, null);
		insetsPanel3.add(label3, null);
		insetsPanel3.add(label4, null);
		insetsPanel3.add(label5, null);
		insetsPanel3.add(label6, null);
		panel1.add(insetsPanel1, BorderLayout.SOUTH);
		insetsPanel1.add(button1, null);
		panel1.add(panel2, BorderLayout.NORTH);
		panel2.add(insetsPanel3, null);
		this.getContentPane().add(panel1, BorderLayout.CENTER);
	}
	/**Overridden so we can exit when window is closed*/
	protected void processWindowEvent(WindowEvent e) {
		if (e.getID() == WindowEvent.WINDOW_CLOSING) {
			cancel();
		}
		super.processWindowEvent(e);
	}
	/**Close the dialog*/
	void cancel() {
		dispose();
	}
	/**Close the dialog on a button event*/
	public void actionPerformed(ActionEvent e) {
		if (e.getSource() == button1) {
			cancel();
		}
	}
}